stages:
- infraestructure_tests_step1
- configure_tests_step1
- provisione_infraestructure
- quality_code
- unit_tests
- build
- security_test_step1
- deploy
- monitoring

terraform-test:
  services:
  - docker:20.10.9-dind
  stage: infraestructure_tests_step1
  script: echo "terraform testing...";
  artifacts:
    name: mySite
    untracked: false
    when: on_success
    expire_in: 1 hour
    paths:
      - "./public"

    
ansible_configure:
  services:
  - docker:20.10.9-dind
  stage: configure_tests_step1
  script: echo "Execut ansible playbook - Docker Install";





